package fruchtbsp;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
import javax.naming.*;
public class Fruit implements Referenceable {
    String fruit;

    public Fruit(String f) {
	fruit = f;
    }

    public Reference getReference() throws NamingException {
	return new Reference(
	    Fruit.class.getName(),
	    new StringRefAddr("fruit", fruit),
	    FruitFactory.class.getName(),
	    null);          // factory
    }

    public String toString() {
	return fruit;
    }
}
