package lookupns;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import javax.naming.*;
import java.io.File;
import java.util.Hashtable;

/**
  * look up eines object.
  *
  * usage: java Lookup
  */
public class Lookup {
    public static void main(String[] args) {

	// kreiere initial context
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY,
	    "com.sun.jndi.fscontext.RefFSContextFactory");
	env.put(Context.PROVIDER_URL, "file:/Test");

	try {
	    // kreiere initial context
	    Context ctx = new InitialContext(env);

	    // lookup und cast
	    File f = (File) ctx.lookup("report.txt");

	    System.out.println("Lookup erfolgreich: "+f);

	    // Close
	    ctx.close();
	} catch (NamingException e) {
	    System.out.println("Lookup fehlgeschlagen: " + e);
	}
    }
}
