package unbindns;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * @author J.M.Joller
 * @version 1.0
 */
import javax.naming.*;
import javax.naming.spi.ObjectFactory;
import java.util.Hashtable;

public class FruitFactory implements ObjectFactory {
    public FruitFactory() {
    }

    public Object getObjectInstance(Object obj, Name name, Context ctx,
	Hashtable env) throws Exception {
	if (obj instanceof Reference) {
	    Reference ref = (Reference)obj;
	    if (ref.getClassName().equals(Fruit.class.getName())) {
		RefAddr addr = ref.get("Frucht");
		if (addr != null) {
		    return new Fruit((String)addr.getContent());
		}
	    }
	}
	return null;
    }
}
