package createsubcontextfs;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import javax.naming.*;
import java.io.File;
import java.util.Hashtable;

/**
  * Demo: kreiere Subkontext "new".
  *
  * usage: java Create
  */
public class Create {
    public static void main(String[] args) {
        System.out.println("Hashtabelle - dient als Speicher fr 'Environment Properties'");
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY,
	    "com.sun.jndi.fscontext.RefFSContextFactory");
	env.put(Context.PROVIDER_URL, "file:/Test");
	try {
          System.out.println("Kreieren des InitialContext");
          Context ctx = new InitialContext(env);
          System.out.println("Kreieren des Subcontext 'new'");
	  Context result = ctx.createSubcontext("new");
          System.out.println("Pruefen des Subcontext - Parent");
	  NamingEnumeration list = ctx.list("");
          System.out.println("Pruefen des Context");
          while (list.hasMore()) {
		NameClassPair nc = (NameClassPair)list.next();
		System.out.println("\tName:"+nc.getName()+";\t\tName-Class Paar:"+nc);
	  }
          ctx.close();
	} catch (NamingException e) {
	    System.out.println("Create fehlgeschlagen: " + e);
	}
    }
}
