package listebsp;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import javax.naming.*;
import java.util.Hashtable;

/**
 * Demo: auflisten des Namens und der Klasse der Objekte im Context
 *
 * usage: java Liste
 */
public class Liste {
    public static void main(String[] args) {

    // Achtung : Sie mssen zuerst das Setup Programm laufen lassen!!

    Hashtable env = new Hashtable();
    env.put(Context.INITIAL_CONTEXT_FACTORY,
      "com.sun.jndi.fscontext.RefFSContextFactory");
    // Verzeichnis muss angepasst werden: Root der generierten Verzeichnisse
    env.put(Context.PROVIDER_URL, "file:/Test");
    try {
      Context ctx = new InitialContext(env);
      NamingEnumeration list = ctx.list("awt");
      while (list.hasMore()) {
        NameClassPair nc = (NameClassPair)list.next();
	System.out.println(nc);
      }
      ctx.close();
    } catch (NamingException e) {
      System.out.println("List fehlgeschlagen: " + e);
    }
  }
}
